<? 
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.4.0
Cambio: Se agrego la funcionalidad de buscar por UUID
*/

session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require_once "conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();

if(isset($_POST["busca_receptor"])){
$rfcReceptor=$_POST["busca_receptor"];
$doc=$_POST["busca_documento"];
$serieI=$_POST["busca_serieI"];
$serieF=$_POST["busca_serieF"];
$folioI=$_POST["busca_folioI"];
$folioF=$_POST["busca_folioF"];
$fechaI=$_POST["busca_fechaI"];
$fechaF=$_POST["busca_fechaF"];
$busca_nombre=$_POST["busca_nombre"];
}else{

$serieI="";
$serieF="";
$folioI="";
$folioF="";
$fechaI="";
$fechaF="";
$busca_nombre="";
}
//$fechaI=date("Y-m")."-01";
$fechaI=date("Y-m-d");

?>


<script>
    /*include('libs/jqueryEasy_1.2.5/jquery.easyui.min.js');
    include_css('libs/jqueryEasy_1.2.5/themes/default/easyui.css');
    include_css('libs/jqueryEasy_1.2.5/themes/icon.css');*/
$j_6(document).ready(function() {
	$j_6('#muestraImg').hide();
	$j_6('#loading').hide();
        $j_6('#busca_fechaI').val('<?=$fechaI?>');
    $j_6().ajaxStart(function() {
        $j_6('#loading').show();
        $j_6('#result').hide();
    }).ajaxStop(function() {
        $j_6('#loading').hide();
        $j_6('#result').fadeIn('slow');
    });
	
	$j_6('#form, #fat, #FormBuscar').submit(function() {
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: $j_6(this).serialize(),
			/*beforeSend: function(xhr ){
				if(($j_6('#busca_fechaI').val() == "" && $j_6('#busca_fechaF').val() == "" && $j_6('#busca_fecha_RI').val() == "" && $j_6('#busca_fecha_RF').val() == "") || ($j_6('#busca_fechaI').val() != "" && $j_6('#busca_fechaF').val() == "") || ($j_6('#busca_fecha_RI').val() != "" && $j_6('#busca_fecha_RF').val() == "") || ($j_6('#busca_fechaI').val() == "" && $j_6('#busca_fechaF').val() != "") || ($j_6('#busca_fecha_RI').val() == "" && $j_6('#busca_fecha_RF').val() != "")){
					$j_6.messager.confirm("Advertencia","Una consulta sin filtros por fecha, puede ocacionar un resultado muy lento<br/>ó un resultado con error si se esta consultando demasiados registros,<br/>¿Desea continuar?",function(r){
						if(r){
							return true;
						}else{
							return false;
						}
					});
				}
			},*/
            success: function(data) {
				$j_6('#cuerpo').html(data);
            }
        })
        
        return false;
    });
	
	
    $j_6('#busca_fechaI').change(function(data){
		if($j_6('#busca_fechaI').val() == ""){
			return false;
		}
		if($j_6('#busca_fechaF').val() != ""){
			return false;
		}
		var fecha = new Date($j_6('#busca_fechaI').val());
		fecha.setDate(fecha.getDate() + 31);
		var FechaFormateada = fecha.getFullYear()+"-"+("0" + (fecha.getMonth() + 1)).slice(-2)+"-"+("0" + fecha.getDate()).slice(-2);
		$j_6('#busca_fechaF').val(FechaFormateada);
	});
	
	$j_6('#busca_fechaF').change(function(data){
		if($j_6('#busca_fechaF').val() == ""){
			return false;
		}
		if($j_6('#busca_fechaI').val() != ""){
			return false;
		}
		var fecha = new Date($j_6('#busca_fechaF').val());
		fecha.setDate(fecha.getDate() - 29);
		var FechaFormateada = fecha.getFullYear()+"-"+("0" + (fecha.getMonth() + 1)).slice(-2)+"-"+("0" + fecha.getDate()).slice(-2);
		$j_6('#busca_fechaI').val(FechaFormateada);
	});
	
	$j_6('#busca_fecha_RI').change(function(data){
		if($j_6('#busca_fecha_RI').val() == ""){
			return false;
		}
		if($j_6('#busca_fecha_RF').val() != ""){
			return false;
		}
		var fecha = new Date($j_6('#busca_fecha_RI').val());
		fecha.setDate(fecha.getDate() + 31);
		var FechaFormateada = fecha.getFullYear()+"-"+("0" + (fecha.getMonth() + 1)).slice(-2)+"-"+("0" + fecha.getDate()).slice(-2);
		$j_6('#busca_fecha_RF').val(FechaFormateada);
	});
	
	$j_6('#busca_fecha_RF').change(function(data){
		if($j_6('#busca_fecha_RF').val() == ""){
			return false;
		}
		if($j_6('#busca_fecha_I').val() != ""){
			return false;
		}
		var fecha = new Date($j_6('#busca_fecha_RF').val());
		fecha.setDate(fecha.getDate() - 29);
		var FechaFormateada = fecha.getFullYear()+"-"+("0" + (fecha.getMonth() + 1)).slice(-2)+"-"+("0" + fecha.getDate()).slice(-2);
		$j_6('#busca_fecha_RI').val(FechaFormateada);
	});
	
	$j_6('#busca_fechaI').mask("9999-99-99",{placeholder:"_"});
	$j_6('#busca_fechaF').mask("9999-99-99",{placeholder:"_"});
	$j_6('#busca_fecha_RF').mask("9999-99-99",{placeholder:"_"});
	$j_6('#busca_fecha_RI').mask("9999-99-99",{placeholder:"_"});
        
        $j_6('#status').combotree('loadData', 
            [{
                    "id":0,
                    "text":"No Validos",
                    "iconCls":"icon-R"
             },
             {
                    "id":1,
                    "text":"C/Advertencia",
                    "iconCls":"icon-W"
             },
             {
                    "id":2,
                    "text":"Validos",
                    "iconCls":"icon-A"
             },
             {
                    "id":3,
                    "text":"C/Advertencia, Sector Primario",
                    "iconCls":"icon-WS"
             },
             {
                    "id":4,
                    "text":"Sector Primario",
                    "iconCls":"icon-S"
             }<?if($_SESSION["tipo_portal"] == "ABSA"){?>,
             {
                    "id":5,
                    "text":"Esperando Validacion por Compras",
                    "iconCls":"icon-1"
             },
             {
                    "id":6,
                    "text":"Valido por Compras",
                    "iconCls":"icon-2"
             },
             {
                    "id":7,
                    "text":"Detenido",
                    "iconCls":"icon-3"
             },
             {
                    "id":8,
                    "text":"Valido por Contabilidad",
                    "iconCls":"icon-4"
             }
             <?}?>
            ]);
			
			$j_6('#status_pago_buscar').combotree('loadData', 
            [{
                    "id":0,
                    "text":"No Revisado"
                    //"iconCls":"icon-R"
             },
             {
                    "id":1,
                    "text":"Revisado y Pendiente"
                    //"iconCls":"icon-W"
             },
             {
                    "id":2,
                    "text":"Pagado"
                    //"iconCls":"icon-A"
             }
            ]);
			<?if($_SESSION["MODULO_PAGOS"] == "1"){?>
			$j_6('#status_pago_buscar_nppcfdi').combotree('loadData', 
            [{
                    "id":0,
                    "text":"Sin Pagos / NP"
                    //"iconCls":"icon-R"
             },
             {
                    "id":1,
                    "text":"Con Pagos / NP"
                    //"iconCls":"icon-W"
             },
             {
                    "id":2,
                    "text":"Pagada completamente / NP"
                    //"iconCls":"icon-A"
             },
             {
                    "id":3,
                    "text":"Pago Mayor al Documento / NP"
                    //"iconCls":"icon-A"
             },
             {
                    "id":4,
                    "text":"Sin Pagos / PCFDI"
                    //"iconCls":"icon-A"
             },
             {
                    "id":5,
                    "text":"Con Pagos / PCFDI"
                    //"iconCls":"icon-A"
             },
             {
                    "id":6,
                    "text":"Pagada completamente / PCFDI"
                    //"iconCls":"icon-A"
             },
             {
                    "id":7,
                    "text":"Pago Mayor al Documento / PCFDI"
                    //"iconCls":"icon-A"
             }
            ]);
			<?}?>

});
$j_6(function() {
	$j_6( "#busca_fechaI" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});
	$j_6( "#busca_fechaF" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});
	
	$j_6( "#busca_fecha_RI" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});
	$j_6( "#busca_fecha_RF" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});
	
	$j_6( "#busca_fechaI" ).datepicker("option", "dateFormat", "yy-mm-dd");
	//$j_6( "#busca_fechaI" ).datepicker("option", "showAnim", "clip");
	
	$j_6( "#busca_fechaF" ).datepicker("option", "dateFormat", "yy-mm-dd");

	$j_6( "#busca_fecha_RF" ).datepicker("option", "dateFormat", "yy-mm-dd");
	$j_6( "#busca_fecha_RI" ).datepicker("option", "dateFormat", "yy-mm-dd");
	
	//$j_6( "#busca_fechaF" ).datepicker("option", "showAnim", "clip");
});
$j_6('#status').combotree('reload');
$j_6('#status_pago_buscar').combotree('reload');
<?if($_SESSION["MODULO_PAGOS"] == "1"){?>$j_6('#status_pago_buscar_nppcfdi').combotree('reload');<?}?>
</script>
<center>
<table bgcolor="#FFFFFF" border="0">
<tr>
<td valign="top">
		<form action="grids/recibedoce.php" name="FormBuscar" id="FormBuscar">
		<div id="busquedaConsulta">
                    <table border="0" class="td_general" width="150">
                        <tr>
                            <td width="15" valign="top" colspan="2" class="txt_logindat">
                            <strong>&nbsp;Receptor/Documento</strong><br>
                            <?if($_SESSION['todo_RFC_p_prov_absa'] == "SI"){
                                    $complementoQuery="";
                            }else{
                                    $complementoQuery="where rfcEmisor='".$_SESSION['rfc_cliente_p_prov_absa']."'";
                            }
                            ?>
							<?if(strtoupper(trim($_SESSION['usuario_p_prov_absa'])) == "ADMIN"){?>
								<select name="busca_receptor">
								<option value="">Seleccione el Receptor</option>
								<?
									$query="select distinct(rfc_Receptor) as RFC from recibedoce $complementoQuery";
									$resultado=mysqli_query($conexion->CONEXION,$query);
									while($temp=mysqli_fetch_array($resultado,MYSQLI_ASSOC))
									{
											if($_SESSION['esProv_p_prov_absa'] == 'SI'){
									?>
									<option value="<? echo $temp["RFC"];?>" <? if(isset($_POST["busca_receptor"]) && $_POST["busca_receptor"] == $temp["RFC"]){echo "selected";}?>><? echo $temp["RFC"];?></option>
									<?
											}
									}
								
								mysqli_free_result($resultado);
								?>
								</select>
							<?}else{?>
								<input type="text" name="busca_receptor" id="busca_receptor" value="<?=$_SESSION['RFC_RECEPTOR_PORTAL']?>" readonly="true">
							<?}?>
                            <select name="busca_documento">
                            <option value="">Seleccione el Documento</option>
                            <?
                            $resultado=mysqli_query($conexion->CONEXION,"select distinct(tipodocto) as tipoDocto from tdoctos_r");
                            while($temp=mysqli_fetch_array($resultado,MYSQLI_ASSOC)) 
                            {
                                    if($_SESSION['esProv_p_prov_absa'] == 'SI'){
                            ?>
                            <option value="<? echo $temp["tipoDocto"];?>" <? if(isset($_POST["busca_documento"]) && $_POST["busca_documento"] == $temp["tipoDocto"]){echo "selected";}?>><? echo $temp["tipoDocto"];?></option>
                            <?
                                    }
                            }
                            mysqli_free_result($resultado);
                            ?>
                            </select>
                            </td>
                        </tr>
						<tr>
                            <td align="left" valign="top" width="10" class="txt_logindat" colspan="2">
                            <i><font style="font-size: 12px; color: #999999 ">Buscar por rango</font></i>
                            </td>
						</tr>
                        <tr>
                            <td align="left" valign="top" width="10" class="txt_logindat">
                            <strong>&nbsp;Serie</strong><br>
                            <input type="text" name="busca_serieI" size="15" maxlength="10" value="<?=$serieI?>"><br/>			
                            <input type="text" name="busca_serieF" size="15" maxlength="10" value="<?=$serieF?>">			
                            </td>
                            <td align="left" valign="top" class="txt_logindat" width="10">
                            <strong>&nbsp;Folio</strong><br>
                            <input type="text" name="busca_folioI" size="15" maxlength="10" value="<?=$folioI?>"><br/>			
                            <input type="text" name="busca_folioF" size="15" maxlength="10" value="<?=$folioF?>">  
                            </td>
                        </tr>
                        <tr>
                            <td align="left" colspan="2" valign="top" class="txt_logindat" width="120">
                            <strong>&nbsp;Fecha Documento</strong><br>
                            <input type="text" name="busca_fechaI" size="15" id="busca_fechaI" value="<?=$fechaI?>">
                            <input type="text" name="busca_fechaF" size="15" id="busca_fechaF" value="<?=$fechaF?>">
                            </td>
                        </tr>
						<tr>
                            <td align="left" colspan="2" valign="top" class="txt_logindat" width="120">
                            <strong>&nbsp;Fecha Recepcion</strong><br>
                            <input type="text" name="busca_fecha_RI" size="15" id="busca_fecha_RI">
                            <input type="text" name="busca_fecha_RF" size="15" id="busca_fecha_RF">
                            </td>
                        </tr>
                        
						
                        <tr>
                            <td colspan="7" valign="top" class="txt_logindat">
                                <strong>Filtro por Status:</strong><br/>
                                <!--<strong>No Valido :</strong> <input type="checkbox" name="status[0]" value="R"/>
                                <strong>Advertencia :</strong> <input type="checkbox" name="status[1]" value="W"/>
                                <strong>Validos :</strong> <input type="checkbox" name="status[2]" value="A"/>
                                <strong>Esperando Validacion Compras :</strong> <input type="checkbox" name="status[3]" value="1"/>
                                <strong>Valido por Compras :</strong> <input type="checkbox" name="status[4]" value="2"/>
                                <strong>Detenido :</strong> <input type="checkbox" name="status[5]" value="3"/>
                                <strong>Valido por Contabilidad :</strong> <input type="checkbox" name="status[6]" value="4"/>-->
                                <select class="easyui-combotree" id="status" name="status[]"  multiple="true" cascadeCheck="false" style="width:300px;"></select><br/>
								<strong>Filtro por Status de Pago:</strong><br/>
								<select class="easyui-combotree" id="status_pago_buscar" name="status_pago_buscar[]"  multiple="true" cascadeCheck="false" style="width:300px;"></select>
								<?if($_SESSION["MODULO_PAGOS"] == "1"){?>
								<strong>Filtro por Status de Pago NP / PCFDI:</strong><br/>
								<select class="easyui-combotree" id="status_pago_buscar_nppcfdi" name="status_pago_buscar_nppcfdi[]"  multiple="true" cascadeCheck="false" style="width:300px;"></select>
								<?}?>
							</td>
                        </tr>
						<tr>
                            <td align="left" valign="top" width="10" class="txt_logindat" colspan="2">
                            <i><font style="font-size: 12px; color: #999999 ">Buscar un documento en específico</font></i>
                            </td>
						</tr>
						<tr>
                            <!--<td align="left" valign="top" class="txt_logindat" ><br/>
                            <img src="Imagenes/Calendar.png" width=16 height=12 onClick="CalendarClickI(event)" id="CalendarFechaI">
                            <br/><img src="Imagenes/Calendar.png" onClick="CalendarClickF(event)" width=16 height=12 id="CalendarFechaF">
                            </td>-->
                            <td align="left" colspan="2" valign="top" class="txt_logindat" width="100">
                            <strong>&nbsp;Emisor</strong><br>
                            <input type="text" name="busca_nombre" size="35" id="busca_nombre" value="<?=$busca_nombre?>">
							<?if($_SESSION["tipo_portal"] == "ABSA"){?>
							<br/>
                            <strong>Ver solo mis pendientes</strong>
                            <input type="checkbox" name="pendientes" id="pendientes"/>
							<?}?>
                            </td>
                        </tr>
						<tr>
                            <td align="left" valign="top" width="10" class="txt_logindat">
                            <strong>&nbsp;Serie</strong><br>
                            <input type="text" name="busca_esta_serie" size="15" maxlength="10" value="">			
                            </td>
                            <td align="left" valign="top" class="txt_logindat" width="10">
                            <strong>&nbsp;Folio</strong><br>
                            <input type="text" name="busca_este_folio" size="15" maxlength="10" value="<?=$folioI?>"><br/>
                            </td>
                        </tr>
						<tr>
							<td colspan="7" valign="top" class="txt_logindat">
								<strong>&nbsp;UUID</strong> <i><font style="font-size: 10px; color: #999999 ">(completo o parte del uuid)</font></i><br>
								<input type="text" name="busca_uuid" size="35" id="busca_uuid" value="<?=$busca_uuid?>" />
							</td>
						</tr>
						<tr>
							<td colspan="7" valign="top" class="txt_logindat">
								<strong>&nbsp;ID del documento</strong> <i><font style="font-size: 10px; color: #999999 ">(completo o parte del id)</font></i><br>
								<input type="text" name="iddoc" size="10" id="iddoc" onKeyUp="onlyNums(this)"/>
							</td>
						</tr>
                        <tr>
                            <td colspan="7">
                                <center>
                                    <table>
                                        <tr>
                                            <td>
                                                <input style="border: none" type="image" name="buscarRecibe" id="buscarRecibe" src="Imagenes/search32.png" title="Buscar" width="24" height="24"/>
                                            </td>           
                                        </tr>
                                    </table>
                                </center>
                            </td>
                        </tr>
                    </table>
                </div>
    </form>
</td>
</tr>
</table>
</center>